Bug 1227252 (CVE-2015-0839) - CVE-2015-0839 hplip: hp-plugin verified binary download with short key ID
Summary: CVE-2015-0839 hplip: hp-plugin verified binary download with short key ID
Status: NEW
Alias: CVE-2015-0839
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150529,reported=2...
Keywords: Security
Depends On: 1227253
Blocks: 1227254
TreeView+ depends on / blocked
 
Reported: 2015-06-02 09:07 UTC by Martin Prpič
Modified: 2019-06-08 20:37 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1432516 None None None Never

Description Martin Prpič 2015-06-02 09:07:18 UTC
It was reported that the hp-plugin utility, included in the hplip package, downloads a binary driver and verifies it via a key specified by the key's short ID:

Downloading plug-in: [\                                   ] 0% Receiving digital keys: /bin/gpg --homedir /home/test/.hplip/.gnupg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0xA59047B9

A man-in-the-middle attacker could use this flaw to generate a key with the expected short ID and trick a user into downloading a malicious binary.

Original report:

http://seclists.org/oss-sec/2015/q2/581

Comment 1 Martin Prpič 2015-06-02 09:07:55 UTC
Created hplip tracking bugs for this issue:

Affects: fedora-all [bug 1227253]

Comment 2 Huzaifa S. Sidhpurwala 2015-06-03 04:28:37 UTC
Statement:

This issue affects the version of hplip as shipped with Red Hat Enterprise Linux 6 and 7. Red Hat Product Security has rated this issue as having Low security impact, a future update may address this flaw. Furthermore there is currently no upstream patch available to address this issue.

Comment 4 Fedora Update System 2015-07-29 01:44:03 UTC
hplip-3.15.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-07-30 01:10:14 UTC
hplip-3.14.10-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.